## org.apache.mahout.classifier.bayes.mapreduce.common
Interface BayesJob

All Known Implementing Classes:
  BayesDriver, BayesFeatureDriver, BayesTfIdfDriver, BayesThetaNormalizerDriver, BayesWeightSummerDriver, CBayesDriver, CBayesThetaNormalizerDriver

    public interface BayesJob

Implementors of this interface provide a way for running bayes training jobs on a hadoop cluster.

Method Summary
`void` `runJob(org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path output, BayesParameters params)` Execute a classification job on a cluster.

Method Detail

### runJob

    void runJob(org.apache.hadoop.fs.Path input,
                org.apache.hadoop.fs.Path output,
                BayesParameters params)
                throws java.io.IOException

  Execute a classification job on a cluster.

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.